Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Interface Configurable

All Known Subinterfaces:
  JMXInterface, ManagementConfiguration

All Known Implementing Classes:
  AbstractDataCache, AbstractQueryCache, InvocationManagedRuntime, AutomaticManagedRuntime, AbstractRemoteCommitProvider, PooledTCPRemoteCommitProvider, JMSRemoteCommitProvider, TCPRemoteCommitProvider, FileMappingFactory, MetaDataMappingFactory, DBMappingFactory, UpdateManagerImpl, DBSequenceFactory, LazySchemaFactory, DynamicSchemaFactory, DBSchemaFactory, FileSchemaFactory, DBDictionary, InverseManager, ProxyManagerImpl

public interface Configurable

This interface provides a mechanism for notifying interested objects when configuration events occur. It provides an object with the opportunity to set itself up for configuration and to perform any necessary post-configuration.

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Method Detail

### setConfiguration

    public void setConfiguration(Configuration conf)

  Invoked prior to setting bean properties.

### startConfiguration

    public void startConfiguration()

  Invoked before bean property configuration is begun on this object.

### endConfiguration

    public void endConfiguration()

  Invoked upon completion of bean property configuration for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.